<template>
  <div class="nowhere">
    <div class="nowhere__info">
      <h2>Ошибка на сервере</h2>
      <p>
        <b>Что-то пошло не так, и сервер не отвечает на ваши запросы.</b>
      </p>
      <p>
        Если ошибка будет повторяться, свяжитесь с нами по номеру <a href="tel:74956460603">7(495) 646-06-03</a> или по почте <a href="mailto:support@gruzi.ru">support@gruzi.ru</a>.
      </p>
      <div class="search">
        Может быть, вы искали что-то? Используйте поиск
        <ob-input v-model="searchQuery" placeholder="Что вы ищете?" icon="search" />
      </div>
      <p>
        Или вернитесь на главную страницу
        <ob-button label="На главную страницу" :isFullWidth="true" @click="$router.push({ name: 'entry' })" />
      </p>
    </div>
    <div class="nowhere__img">
      <svg width="245" height="84" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M0 0h66v20H24v14h22c11.046 0 20 8.954 20 20v10c0 11.046-8.954 20-20 20H0V64h36a6 6 0 006-6v-2a6 6 0 00-6-6H0V0zM114 50a8 8 0 100-16 8 8 0 000 16z" fill="#fff"/><path fill-rule="evenodd" clip-rule="evenodd" d="M156 42c0 23.196-18.804 42-42 42S72 65.196 72 42 90.804 0 114 0s42 18.804 42 42zm-24 0c0 9.941-8.059 18-18 18s-18-8.059-18-18 8.059-18 18-18 18 8.059 18 18z" fill="#fff"/><path d="M203 50a8 8 0 100-16 8 8 0 000 16z" fill="#fff"/><path fill-rule="evenodd" clip-rule="evenodd" d="M245 42c0 23.196-18.804 42-42 42s-42-18.804-42-42 18.804-42 42-42 42 18.804 42 42zm-24 0c0 9.941-8.059 18-18 18s-18-8.059-18-18 8.059-18 18-18 18 8.059 18 18z" fill="#fff"/></svg>
      Сервер не отвечает
    </div>
  </div>
</template>

<script>
  import ObInput from 'common-components/src/obComponents/obInput';
  import ObButton from 'common-components/src/obComponents/obButton';
  export default {
    name: 'notFound',

    components: {
      ObInput,
      ObButton,
    },

    mounted() {
      const menu = document.querySelector('.ob-main-template-header');
      if (menu) {
        menu.style.zIndex = 0;
      }
    },

    data() {
      return {
        searchQuery: ''
      }
    }
  }
</script>

<style lang="scss" scoped>
@import './styles.scss';
</style>
